package ru.ulstu.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import ru.ulstu.model.News;

import java.util.List;

public interface NewsRepository extends JpaRepository<News, Integer> {
    List<News> findFirst3ByOrderByDateDesc();

    Page<News> findByOrderByDateDesc(Pageable pageable);
}
